#
# spec file for package python-Quandl
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Quandl
Version:        3.4.4
Release:        3.1
Summary:        Package for quandl API access
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/quandl/quandl-python
Source:         https://files.pythonhosted.org/packages/source/Q/Quandl/Quandl-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-inflection >= 0.3.1
Requires:       python-more-itertools
Requires:       python-numpy >= 1.8
Requires:       python-pandas >= 0.14
Requires:       python-python-dateutil
Requires:       python-requests >= 2.7.0
Requires:       python-six
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module factory_boy}
BuildRequires:  %{python_module flake8}
BuildRequires:  %{python_module httpretty}
BuildRequires:  %{python_module inflection >= 0.3.1}
BuildRequires:  %{python_module jsondate}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module more-itertools}
BuildRequires:  %{python_module ndg-httpsclient}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module numpy >= 1.8}
BuildRequires:  %{python_module pandas >= 0.14}
BuildRequires:  %{python_module pyOpenSSL}
BuildRequires:  %{python_module pyasn1}
BuildRequires:  %{python_module pycodestyle}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module requests >= 2.7.0}
BuildRequires:  %{python_module requests}
BuildRequires:  %{python_module six}
# /SECTION
%python_subpackages

%description
Official Python library for Quandl's RESTful API.

%prep
%setup -q -n Quandl-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%doc README.md LONG_DESCRIPTION.rst 2_SERIES_UPGRADE.md CHANGELOG.md FOR_ANALYSTS.md FOR_DEVELOPERS.md
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Tue Nov 13 2018 sebix+novell.com@sebix.at
- remove remove_unittest2.patch, merged upstream.
- update to version 3.4.4:
  * Add functionality to automatically retry failed API calls https://github.com/quandl/quandl-python/pull/124
- update to version 3.4.3:
  * Allow for exporting of datatables https://github.com/quandl/quandl-python/pull/120
* Sun Aug 26 2018 sebix+novell.com@sebix.at
- update to version 3.4.2:
  * Fix typos in our warning messages https://github.com/quandl/quandl-python/pull/114
* Mon Aug 13 2018 mcepl@suse.com
- Remove dependency on unittest2
  Add remove_unittest2.patch to facilitate it.
* Wed Aug  8 2018 tchvatal@suse.com
- Drop the pyflakes dep as it is from flake8 which needed fixing
* Wed Jul 25 2018 sebix+novell.com@sebix.at
- update to version 3.4.1:
  * Include all documentation and test file in source distribution (sdist) tarballs
- remove obsolete license.patch
- change source url to pythonhosted because of these changes
* Tue Jul  3 2018 sebix+novell.com@sebix.at
- update to version 3.4.0:
  * When returning a list of data, in a Python friendly format, convert datetime64 to datetime
  * Numpy no longer supports Python v3.3, thus we are removing support for it
* Thu Dec 21 2017 sebix+novell.com@sebix.at
- update to version 3.3.0
  * Unlock the version of requests to allow use with other modern packages
- remove setup_requirement.patch, not required anymore
* Thu Dec  7 2017 sebix+novell.com@sebix.at
- initial package for version 3.2.1
- add setup_requirement.patch to remove the version from requirements
- add license.patch to add license
